<%@ Language="VBScript" %>
<!-- #INCLUDE VIRTUAL="/samples/config/include/utils.runtime6.asp" -->
<!-- #INCLUDE VIRTUAL="/samples/config/include/blockview.runtime6.asp" -->

<script runat="server" language="VBScript">

' *****************************************************************************
'
' GoLive
'
' ADOBE SYSTEMS INCORPORATED
' Copyright 1999-2002 Adobe Systems Incorporated. All Rights Reserved.
'
' NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
' License Agreement, Adobe permits you to reproduce and distribute this 
' file only as an integrated part of a web site created with Adobe 
' GoLive software and only for the purpose of enabling your client to 
' display their web site. All other terms of the Adobe license 
' agreement remain in effect.
'
'

RejectUnauthorizedCallers
if not RuntimeDebug then
	on error resume next
	Response.ContentType = "text/xml"
end if

if Not IsEmpty(Request("test")) then	' must come before WriteSchema
	WriteTest()
elseif Not IsEmpty(Request("csn")) then
	WriteSchema()
else
	WriteDataSources()
end if

if Err then
	WriteError
end if

</script>

<script runat="server" language="JScript">

function WriteDataSources() {
	Response.Write("<DATASOURCES>\r\n");
	Response.Write("</DATASOURCES>\r\n");
}

function WriteSchema() {
	var viewed = NewError("block=1");
	if (viewed==null) {
		Response.Write("viewed==null");
		Response.End();
	}
	var csn = NewCSWBlockView("block=1", viewed, "csn");
	Response.Write("<STRUCTURE>\r\n");
	for (var j = 1; j <= csn.ncol; ++j) {
		Response.Write("\t<FIELD>\r\n");
		Response.Write("\t\t<NAME>" + xmlEncode(csn.colname[j])
			+ "</NAME>\r\n");
		Response.Write("\t</FIELD>\r\n");
	}
	Response.Write("</STRUCTURE>\r\n");
}

function WriteTest() {
	var viewed = NewError("block=1");
	var csn = NewCSWBlockView("block=1", viewed, "csn");
	Response.Write("<TESTRESULT>\r\n");
	Response.Write("\t<RECORD NUMBER='1'>\r\n");
	for (var j = 1; j <= csn.ncol; ++j) {
		var cname = csn.colname[j];
		Response.Write("\t\t<FIELD COLUMN='"
			+ xmlEncode(cname) + "'>");
		Response.Write(xmlEncode(csn.Value(cname)));
		Response.Write("</FIELD>\r\n");
	}
	Response.Write("\t</RECORD>\r\n");
	Response.Write("</TESTRESULT>\r\n");
}

</script>

<script runat="server" language="VBScript">

' -----------------------------------------------------------------------------
' Write out an error message as XML.

function WriteError

	dim qt

	qt = chr(34)
	Response.Write "<ERROR"
	Response.Write " Number="		& qt	& Err.Number			& qt
	Response.Write " Source="		& qt	& Err.Source			& qt
	Response.Write " Description="	& qt	& Err.Description		& qt
	Response.Write " HelpFile="		& qt	& Err.HelpFile			& qt
	Response.Write " HelpContext="	& qt	& Err.HelpContext		& qt
	Response.Write "/>" & vbCrLf

end function

</script>


