/*
 * ADOBE SYSTEMS INCORPORATED
 * Copyright 2001-2002 Adobe Systems Incorporated. All Rights Reserved.
 * 
 * NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
 * License Agreement, Adobe permits you to reproduce and distribute this 
 * file only as an integrated part of a web site created with Adobe 
 * GoLive software and only for the purpose of enabling your client to 
 * display their web site. All other terms of the Adobe license 
 * agreement remain in effect.
 */

package javax.sql;

public interface DataSource {
	public java.sql.Connection getConnection()
		throws java.sql.SQLException;
	public java.sql.Connection getConnection(java.lang.String user,
		java.lang.String password) throws java.sql.SQLException;
	public void setLoginTimeout(int seconds)
		throws java.sql.SQLException;
	public int getLoginTimeout()
		throws java.sql.SQLException;
	public java.io.PrintWriter getLogWriter()
		throws java.sql.SQLException;
	public void setLogWriter(java.io.PrintWriter logger)
		throws java.sql.SQLException;
};
