<%--
   - GoLive
   - Support for the GoLive Preview operation: on first request,
   - receive page data, store it in the named file, execute the page.
   - On second request, remove the file.
   -
   - ADOBE SYSTEMS INCORPORATED
   - Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
   - 
   - NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
   - License Agreement, Adobe permits you to reproduce and distribute this 
   - file only as an integrated part of a web site created with Adobe 
   - GoLive software and only for the purpose of enabling your client to 
   - display their web site. All other terms of the Adobe license 
   - agreement remain in effect.
  --%>
<%@page
	import="java.io.*,java.net.*,java.sql.*,java.util.*"
	errorPage="/config/actions/error.jsp"
 %><%@page import="com.adobe.gl.runtime6.utils.*"
 %><%@taglib uri="/gl-taglib" prefix="gl"
 %><gl:page id='gl'><%
	gl.rejectUnauthorizedCallers();
	String title = "Don't quite know how I got here.";
	String vname = request.getParameter("FileName");
	String data = request.getParameter("FileData");
	if (vname != null && data != null && data.length() != 0) {
		vname = gl.contextPathFrom(vname);
		String fname = request.getRealPath(vname);
		if (fname==null) {
			response.sendError(404);
			return;
		}
		FileOutputStream fso = null;
		File file = new File(fname);
		(new File(file.getParent())).mkdirs();
		try {
			fso = new FileOutputStream(file);
			fso.write(data.getBytes());
			fso.flush();
		}
		catch (Exception e) {
			response.sendError(500);
			return;
		}
		finally {
			if (fso != null) {
				try { fso.close(); }
				catch (Exception e) {}
			}
		}
 %>
<jsp:forward page="<%=vname%>"/>
<%
	}
	else if (vname != null && (data == null || data.length() == 0)) {
		String startvname = vname;
		vname = gl.contextPathFrom(vname);
		String fname = request.getRealPath(vname);
		if (fname==null) {
			response.sendError(404);
			return;
		}
		title = (new File(fname)).delete()
			? startvname + " has been deleted."
			: "Error deleting " + fname;
	}
 %>
<html><head>
<title><%=title%></title>
</head><body>
<h2><%=title%></h2>
<%@include file="/WEB-INF/jspi/footer.jspi"%>
</body></html></gl:page>
