<?php

$GLparam = array(
	/*
	 * Arrange to send data in the UTF-8 charset.
	 */
	'output_encoding'=>'UTF-8',
	'content_type'=>'text/xml',
);
require_once("../include/utils.runtime6.php");
require_once("../include/blockview.runtime6.php");

/*
 * GoLive
 *
 * ADOBE SYSTEMS INCORPORATED
 * Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
 * 
 * NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
 * License Agreement, Adobe permits you to reproduce and distribute this 
 * file only as an integrated part of a web site created with Adobe 
 * GoLive software and only for the purpose of enabling your client to 
 * display their web site. All other terms of the Adobe license 
 * agreement remain in effect.
 */

/*
 * mysql.info6.php?datasources=<all|distinct>
 *	<DATASOURCES>
 *
 * mysql.info6.php?csn=
 *	<STRUCTURE>
 *		<FIELD>
 *			<NAME>name
 *
 * mysql.info6.php?csn=&test=
 *	<TESTRESULT>
 *		<RECORD NUMBER='1'>
 *			<FIELD COLUMN='name'>value
 */

function WriteDataSources() {
	echo "<DATASOURCES>\r\n";
	echo "</DATASOURCES>\r\n";
}

function WriteSchema() {
	$viewed = NewError();
	$csn = NewCSWBlockView("", $viewed, "csn");
	echo "<STRUCTURE>\r\n";
	for ($j = 1; $j <= $csn->ncol; ++$j) {
		echo "\t<FIELD>\r\n",
			"\t\t<NAME>",
			xmlEncode($csn->colname[$j]),
			"</NAME>\r\n",
			"\t</FIELD>\r\n";
	}
	echo "</STRUCTURE>\r\n";
}

function WriteTest() {
	$viewed = NewError();
	$csn = NewCSWBlockView("", $viewed, "csn");
	echo "<TESTRESULT>\r\n",
		"\t<RECORD NUMBER='1'>\r\n";
	for ($j = 1; $j <= $csn->ncol; ++$j) {
		$cname = $csn->colname[$j];
		echo "\t\t<FIELD COLUMN='", xmlEncode($cname), "'>",
			xmlEncode($csn->Value($cname)),
			"</FIELD>\r\n";
	}
	echo "\t</RECORD>\r\n",
		"</TESTRESULT>\r\n";
}

/*
 * DISPATCH
 */

RejectUnauthorizedCallers();

if (GetFormValue('test') != '_no_form_value')
	WriteTest();
else if (GetFormValue('csn') != '_no_form_value')
	WriteSchema();
else
	WriteDataSources();

?>
