<?php
require_once("../include/utils.runtime6.php");

//*****************************************************************************
//
// info/parsephp.php		Support for GoLive Preview of .php files.
//
// ADOBE SYSTEMS INCORPORATED
// Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
// 
// NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
// License Agreement, Adobe permits you to reproduce and distribute this 
// file only as an integrated part of a web site created with Adobe 
// GoLive software and only for the purpose of enabling your client to 
// display their web site. All other terms of the Adobe license 
// agreement remain in effect.
//
//
// WARNING: This file is for use on a staging server only.
//		   Do NOT copy this file to your production site.
//

// -----------------------------------------------------------------------------
// Turn an application-relative path into an absolute path
//
//    virtualPath	/golive_php/magazine/Temporary$$$58120334328.php
//	  virtualThis	/golive_php/config/info/parsephp.php
//    mappedThis	C:\wwwroot\website\config\info\parsephp.php
//    return		C:/wwwroot/website/magazine/Temporary$$$58120334328.php

function absoluteMapPath($virtualPath)
{
	global $HTTP_ENV_VARS;
	$virtualThis = stripslashes(GetCurrentURL());
	$mappedThis = stripslashes(GetCurrentFile());

	$virtualparts = explode("/", $virtualThis);
	$mappedparts = split("[/\\]", $mappedThis);
	for ($i = 1; $i <= sizeof($virtualparts); $i++) {
		if ($virtualparts[sizeof($virtualparts) - $i] != $mappedparts[sizeof($mappedparts) - $i]) {
			$stripVirtual = sizeof($virtualparts) + 1 - $i;
			$keepMapped = sizeof($mappedparts) + 1 - $i;
			break;
		}
	}
	if (!isset($stripVirtual)) {
		return $virtualPath;
	}

	$absparts = array();
	for ($i = 0; $i < $keepMapped; $i++) {
		$absparts[sizeof($absparts)] = $mappedparts[$i];
	}

	$virtualparts = explode("/", $virtualPath);
	for ($i = $stripVirtual; $i < sizeof($virtualparts); $i++) {
		$absparts[sizeof($absparts)] = $virtualparts[$i];
	}

	return join("/", $absparts);
}


RejectUnauthorizedCallers();

$filename = @$HTTP_POST_VARS['FileName'];
if (isset($filename)) {
	$path = absoluteMapPath($filename);
	$FileData = @$HTTP_POST_VARS["FileData"];
	if (isset($FileData) && $GL_strlen($FileData) > 0) {
		$dir = dirname($path);
		if (!is_dir($dir)) {
			mkdir($dir, 0700);
		}

		$file = fopen($path, "w");
		if (!$file) {
			echo "Error writing $path.  $php_errormsg";
			exit();
		}

		fwrite($file, stripslashes($FileData));
		if (!fclose($file)) {
			echo "Error writing $path.  $php_errormsg";
			exit();
		}
		Redirect($filename);
	} else {
		if (unlink($path)) {
			echo "$URL has been deleted.";
		} else {
			echo "Error deleting $URL\r";
			echo $php_errormsg;
		}
	}
}

?>
