<?php
/*
 * GoLive
 *
 * ADOBE SYSTEMS INCORPORATED
 * Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
 * 
 * NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
 * License Agreement, Adobe permits you to reproduce and distribute this 
 * file only as an integrated part of a web site created with Adobe 
 * GoLive software and only for the purpose of enabling your client to 
 * display their web site. All other terms of the Adobe license 
 * agreement remain in effect.
 */
	$colnames = $tcsw->GetColumnNames();
	$columnCount = count($colnames);
 ?>
<html>
	<head>
		<title><?php echo $title?></title>
		<link rel="stylesheet" href="gl.css" type="text/css">
	</head>
	<body>
		<h2><?php echo $title?></h2>
		<p>
		Source: <?php echo $src ?><br>
		SQL: <?php echo $sql ?><br>
		<h3>
<?php echo $tcsw->RecordCount(), ' rows, ', $columnCount, ' columns.' ?>
		</h3>
		<table border='1'>
			<tr>
				<th>#</th>
<?php
		while (list(,$v) = each($colnames))
			echo '<th>', $v, '</th>', "\r\n";
 ?>
			</tr>
<?php
	$counter = 0;
	for (; !$tcsw->EOF(); $tcsw->Move(1)) {
 ?>
			<tr>
				<th><?php echo ++$counter ?></th>
<?php
		reset($colnames);
		while (list(,$name) = each($colnames)) {
			$j = htmlspecialchars($tcsw->Value($name));
 ?>
				<td class='results'><?php echo $j ?></td>
<?php
		}
 ?>
			</tr>
<?php
	}
 ?>
		</table>
		<p>
		<form method='POST'>
			<input type='submit' value='New query'>
		</form>
		<hr>
		<p>
			If the "Database name" pulldown contains no items,
			or you are not sure of a table or field name,
			please check the
			<a href="troubleshooting.php">Adobe GoLive 
			 (PHP) Troubleshooting Report</a>.
		</p>
	</body>
</html>
