<?php
/*
 * GoLive
 *
 * ADOBE SYSTEMS INCORPORATED
 * Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
 * 
 * NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
 * License Agreement, Adobe permits you to reproduce and distribute this 
 * file only as an integrated part of a web site created with Adobe 
 * GoLive software and only for the purpose of enabling your client to 
 * display their web site. All other terms of the Adobe license 
 * agreement remain in effect.
 */
 ?>
<html>
	<head>
		<title><?php echo $title?></title>
		<link rel="stylesheet" href="gl.css" type="text/css">
	</head>
	<body>
		<h2><?php echo $title?></h2>
		<p>
		Source: <?php echo $src ?><br>
		SQL: <?php echo $sql ?><br>
		<h3>An error has occurred in the processing of your query.
		</h3>
		<p>
<?php echo $error; ?>
		<form method='POST'>
			<input type='submit' value='New query'>
		</form>
		<hr>
		<p>
			If the "Database name" pulldown contains no items,
			or you are not sure of a table or field name,
			please check the
			<a href="troubleshooting.php">Adobe GoLive 
			 (PHP) Troubleshooting Report</a>.
		</p>
	</body>
</html>
